# GaborSnowman.py
import turtle

def circle(t, s):
    t.circle(s)

def circleatpos(t, x, y, s):
    t.penup()
    t.setpos(x, y)
    t.pendown()
    circle(t, s)

def snowman(t):
    circle(t, 50)
    circleatpos(t, 0, 100, 30)
    circleatpos(t, 0, 160, 10)

def square(t, s):
    for i in range(4):
        t.fd(s)
        t.lt(90)

def tree(t, x, y):
    ssize = 40
    tsizex = 80
    tsizey = 50
    t.penup()
    t.setpos(x, y)
    t.pendown()
    t.begin_fill()
    t.color('brown')
    square(t, ssize)
    t.end_fill()
    t.color('black')
    t.penup()
    t.setpos(x+ssize/2, y+ssize)
    t.begin_fill()
    t.color('green')
    t.setpos(x+tsizex, y+ssize)
    t.setpos(x, y+tsizey)
    t.setpos(x+ssize/2, y+ssize)
    
turtle.tracer(0, 0)
t = turtle.Turtle()
snowman(t)
tree(t, -150, 0)

#end
turtle.update()
