# GaborRollDice.py

from random import randint #import the randint module



print('Welcome')   #introduction to the game
print('This a dice game')
print('You will compete against the computer')
print('Good luck!')
print()

def dice(): #this is the dice roller random calculator part of the program
    uroll = randint(1, 6) #user roll
    croll = randint(1, 6) #computer roll
    return [uroll, croll] #return the rolls


def gameprog(Cscore, Uscore): #this is the part of the program which controls the dice
    [uroll, croll] = dice() #get the rolls of the user and the computer
    print('You rolled a ' + str(uroll)) #print out how many the user and the computer rolled
    print('Computer rolled a ' + str(croll))
    if uroll>croll:  #check who wines
        print('User wins!')
        Uscore+=1 #add to user score
    elif croll>uroll:
        print('Computer wins!')
        Cscore+=1 #add to computer score
    else: #when there is a tie no one wins Ex. user rolls 5 and computer rolls 5
        print('This is a tie. No one wins!')
    return[Cscore, Uscore] #returns the score, as the values aren't passed by reference



def game():
    INITVARstart=0 #we need this because first it prints out something else than in the rest of the program

    Cscore=0 #set the scores to 0
    Uscore=0
    
    user = ''
    
    while user!='quit': #it keeps rolling the dice until user enters quit
        if INITVARstart==0: #check if the game just started
            user=input('Press enter to roll the dice')
            INITVARstart=1 # indicate that the program has already started running
            user='' # it needs to reset this variable to avoid the bug if the user enters quit it will quit but the input didn't include that
            [Cscore, Uscore] = gameprog(Cscore, Uscore) #it calls the dice roller
        else:
            user = input('Enter quit to stop or press enter to continue')
            if user!='quit':
                [Cscore, Uscore] = gameprog(Cscore, Uscore) # it only calls the dice roller if user chose to continue (hit enter)
    print("Computer's score: " + str(Cscore)) #prints out the scores at the end of the program
    print("User's score: "+ str(Uscore))



game() #start the main game
